// Copyright (C) 1996 by Florian Raemy & LCAV, Swiss Federal Institute of 
// Technology, Lausanne, Switzerland.  All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 1. Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
// FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
// OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
// OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
// SUCH DAMAGE.
//
// Visit Florian's Home Page http://studwww.eurecom.fr/~raemy and
// LCAV Department of EPFL: http://lcavwww.epfl.ch

/*
* Hufmanndata - A class used for the Stack in Hufmann_encode_64 & Hufmann_decode_64
*
* This class has been done to make possible the use of the Stack(it must be used with an Object or a class which inherit
* from the class Object)
*/


public class Hufmanndata
{
    int huf_code;
    int append_bit;
    int len;

    /*
    * The constructor of this class use the hufmann code and the append bits of the amplitude
    * @param huf:   The hufmann code of the object
    * @param bits:  The integer which has to be append to the hufmann code
    */
    public Hufmanndata(int huf, int bits)
    {
        huf_code=huf;
        append_bit=bits;

    }

    /*
    * This method gives the hufmann code of the object
    */
    public int hufcode()
    {
        return huf_code;
    }

    /*
    * This method gives the integer which has to be append to the hufmann code
    */
    public int appendbit()
    {
        return append_bit;
    }

}
